PHP Manual
Prev |  | Next

# HaruDoc::loadPNG

(no version information, might be only in CVS)

HaruDoc::loadPNG -- Load PNG image and return HaruImage instance

## Description

object HaruDoc::loadPNG ( string filename [, bool deferred] )

Loads PNG image and returns HaruImage instance. You can set `deferred` parameter to `TRUE` for deferred data loading, in this case only size and color are loaded immediately. Default value of `deferred` is `FALSE`.

Libharu might be built without libpng support, in this case each call to this function would result in exception.

## Parameters

`filename`

  The name of a PNG image file.

`deferred`

  Do not load data immediately. Defaults to `FALSE`.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::loadJPEG()
HaruDoc::loadRAW()

Prev | Home | Next
HaruDoc::loadJPEG | Up | HaruDoc::loadRaw